Subject: Re: TAHI CN-6-4-1 failed on Linux 2.6.32 kernel

From: Brian Haley <[email-masked]>
Date: Fri, 13 Aug 2010 13:55:27 -0400

On 08/13/2010 01:34 PM, Steve Chen wrote:
>>>>> The TAHI correspondent node tests CN-6-4-1 (Processing in upper layer
>>>>> - Echo Checksum) failed for me in the 2.6.32 kernel.  It appears that
>>>>> the Linux kernel is replying the ICMP echo request in
>>>>> icmpv6_echo_reply without much checking.  Is this an intentional
>>>>> non-conformance to RFC3775 section 9.3.1?
[snip]

> It appears that skb->ip_summed is always 1 (CHECKSUM_UNNECESSARY).
> I'm using e1000e.  Looking at the driver, there is a checksum offload
> hardware.  I think the code is doing frame check on the entire
> Ethernet packet.  Since no error was found, it assume everything
> inside is correct.

# ethtool -K ethX rx off

Does that help?  Does using a different NIC help?

-Brian